Health Deep
GET
/health/deep
const url = 'https://api.cloud.agentums.ru/health/deep';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.cloud.agentums.ru/health/deep \ --header 'Authorization: Bearer <token>'Состояние зависимостей: база, кэш, векторный индекс, хранилище, модель.
Требует токен — в отличие от /health: перечень внутренних сервисов не для анонимного
читателя. 503 тут штатный ответ, а не сбой: он приходит с телом, и именно ради
разбора checks ручку и зовут.
Authorizations
Заголовок раздела «Authorizations»Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
DeepHealthOut
Состояние зависимостей. degraded едет вместе с кодом 503 — и это ответ, а не сбой:
ради перечня в checks ручку и зовут, поэтому у неё есть тело даже в плохом случае.
object
checks
required
Checks
object
key
additional properties
string
status
required
Status
string
Examplegenerated
{ "checks": { "additionalProperty": "example" }, "status": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}